Bug 506152 - nfsclient.sh leaves temporary files /tmp/nfsclient-status-cache-$$
Summary: nfsclient.sh leaves temporary files /tmp/nfsclient-status-cache-$$
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 572632
TreeView+ depends on / blocked
 
Reported: 2009-06-15 18:47 UTC by Sachin Prabhu
Modified: 2018-11-14 20:16 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, nfsclient.sh left temporary files in /tmp. With this update, all temporary files are now correctly removed when the client cache is disabled.
Clone Of: 486349
Environment:
Last Closed: 2011-02-16 15:07:49 UTC


Attachments (Terms of Use)
proposed patch (871 bytes, patch)
2009-06-15 18:49 UTC, Sachin Prabhu
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0264 0 normal SHIPPED_LIVE Low: rgmanager security and bug fix update 2011-02-16 15:07:04 UTC

Description Sachin Prabhu 2009-06-15 18:47:46 UTC
+++ This bug was initially created as a clone of Bug #486349 +++

Description of problem:

Nodes running NFS services get /tmp filled of temporary nfsclient-status-cache-$$ files.


Version-Release number of selected component (if applicable):

rgmanager-1.9.87-1.el4.


How reproducible:

Always


Steps to Reproduce:
1. Locate an NFS service on a cluster node
2. ls -lart /tmp

  
Actual results:

A file named /tmp/nfsclient-status-cache-$$ is created once per minute.


Expected results:

No temporary files left on /tmp.


Additional info:

Comment 1 Sachin Prabhu 2009-06-15 18:49:54 UTC
Created attachment 347984 [details]
proposed patch

Proposed patch.

Comment 17 Florian Nadge 2011-01-03 14:05:39 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, nfsclient.sh left temporary files in /tmp. With this update, all temporary files are now correctly removed when the client cache is disabled.

Comment 18 errata-xmlrpc 2011-02-16 15:07:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0264.html


Note You need to log in before you can comment on or make changes to this bug.